
#include "LibMsrp_EncDecDeclarations.hh"

#include "loggers.hh"

namespace LibMsrp__EncDecDeclarations {

  BITSTRING fx__enc__MsrpURI(const LibMsrp__TypesAndValues::MsrpURI& p) {
    loggers::get_instance().log_msg(">>>   BITSTRING fx__enc__MsrpURI: ", p);

    float duration;
    std::string tag("  BITSTRING fx__enc__MsrpURI");
    loggers::get_instance().set_start_time(tag);

    OCTETSTRING os;
    // TODO
    loggers::get_instance().set_stop_time(tag, duration);
    
    return oct2bit(os);
  }
  
  INTEGER fx__dec__MsrpURI(BITSTRING&, LibMsrp__TypesAndValues::MsrpURI& p) { return INTEGER(0); }

} // End of module LibMsrp__EncDecDeclarations